---
apiVersion: traefik.io/v1alpha1
kind: Middleware
metadata:
  name: nodejs-simple-cors-allowed
spec:
  headers:
    accessControlAllowHeaders:
      - "*"
    accessControlAllowMethods:
      - "*"
    accessControlAllowOriginList:
      - "*"
    accessControlMaxAge: 100
    addVaryHeader: true
    accessControlAllowCredentials: true

---
apiVersion: traefik.io/v1alpha1
kind: IngressRoute
metadata:
  name: nodejs-simple-ingress
spec:
  entryPoints:
    - metrics
    - tcp
    - web
    - websecure
  routes:
    - match: Host(`api-production.example.com`) && PathPrefix(`/`)
      kind: Rule
      services:
        - name: nodejs-simple
          port: 4000
      priority: 1
      middlewares:
        - name: nodejs-simple-cors-allowed
  tls:
    secretName: tls-api-nodejs-simple-ingress-http
